#!/bin/sh

# This script is run by the user to cross-compile the uclibc based development
# environment used to create the final system.  (I.E. start here.)

# Create the temporary directory

if [ ! -f tmpdir/tools.img ]
then
  nice -n 20 sources/scripts/0-make-tmpdir.sh &&
  nice -n 20 sources/scripts/1-make-tools.sh
fi

if [ $? -eq 0 ]
then
  nice -n 20 sources/scripts/2-make-firmware.sh
fi

echo -e "\033[0m=== Toolchain build script exiting."
