#!/bin/sh

[ -d /dev/shm ] && export TMPDIR=/dev/shm

function runuml()
{
  if [ `id -u` -eq 0 ]
  then
    # If we're root, run directly.

    cd "$DIR"
    $1
  else
    # If we're not root, run via UML.

    tmpdir/linux rootfstype=hostfs rw quiet mem=64M \
    ubd0=tmpdir/swap.img DIR="$DIR" RUN="$1" \
    init="$DIR"/tmpdir/oneit "$DIR/$UMLSETUP"
  fi
}
